
(* lexical analyzer template (TP Lex V3.0), V1.0 3-2-91 AG *)

(* global definitions: *)






function yylex : Integer;

procedure yyaction ( yyruleno : Integer );
  (* local definitions: *)

begin
  (* actions: *)
  case yyruleno of
  1:
              return(htmlCode); 
  2:
              return(htmlfineCode); 
  3:
              return(bodyCode); 
  4:
              return(bodyfineCode); 
  5:
              return(headCode); 
  6:
              return(headfineCode); 
  7:
              return(titleCode); 
  8:
              return(titlefineCode); 
  9:
              return(stringaCode); 
  10:
              return(linkCode); 
  11:
              return(fileCode); 
  12:
              return(linkfineCode); 
  13:
                ;
  14:
                ;
  15:
              return(errorCode); 

  end;
end(*yyaction*);

(* DFA table: *)

type YYTRec = record
                cc : set of Char;
                s  : Integer;
              end;

const

yynmarks   = 32;
yynmatches = 32;
yyntrans   = 88;
yynstates  = 71;

yyk : array [1..yynmarks] of Integer = (
  { 0: }
  9,
  { 1: }
  9,
  { 2: }
  15,
  { 3: }
  9,
  15,
  { 4: }
  9,
  13,
  14,
  15,
  { 5: }
  15,
  { 6: }
  13,
  14,
  { 7: }
  13,
  14,
  15,
  { 8: }
  15,
  { 9: }
  { 10: }
  { 11: }
  { 12: }
  { 13: }
  { 14: }
  9,
  { 15: }
  9,
  { 16: }
  { 17: }
  9,
  14,
  { 18: }
  14,
  { 19: }
  { 20: }
  { 21: }
  { 22: }
  { 23: }
  { 24: }
  { 25: }
  { 26: }
  { 27: }
  { 28: }
  { 29: }
  { 30: }
  { 31: }
  { 32: }
  { 33: }
  { 34: }
  { 35: }
  { 36: }
  { 37: }
  { 38: }
  { 39: }
  { 40: }
  { 41: }
  { 42: }
  { 43: }
  { 44: }
  { 45: }
  { 46: }
  { 47: }
  { 48: }
  { 49: }
  { 50: }
  11,
  { 51: }
  { 52: }
  1,
  { 53: }
  5,
  { 54: }
  { 55: }
  { 56: }
  { 57: }
  { 58: }
  3,
  { 59: }
  { 60: }
  { 61: }
  12,
  { 62: }
  2,
  { 63: }
  6,
  { 64: }
  4,
  { 65: }
  { 66: }
  7,
  { 67: }
  { 68: }
  8,
  { 69: }
  { 70: }
  10
);

yym : array [1..yynmatches] of Integer = (
{ 0: }
  9,
{ 1: }
  9,
{ 2: }
  15,
{ 3: }
  9,
  15,
{ 4: }
  9,
  13,
  14,
  15,
{ 5: }
  15,
{ 6: }
  13,
  14,
{ 7: }
  13,
  14,
  15,
{ 8: }
  15,
{ 9: }
{ 10: }
{ 11: }
{ 12: }
{ 13: }
{ 14: }
  9,
{ 15: }
  9,
{ 16: }
{ 17: }
  9,
  14,
{ 18: }
  14,
{ 19: }
{ 20: }
{ 21: }
{ 22: }
{ 23: }
{ 24: }
{ 25: }
{ 26: }
{ 27: }
{ 28: }
{ 29: }
{ 30: }
{ 31: }
{ 32: }
{ 33: }
{ 34: }
{ 35: }
{ 36: }
{ 37: }
{ 38: }
{ 39: }
{ 40: }
{ 41: }
{ 42: }
{ 43: }
{ 44: }
{ 45: }
{ 46: }
{ 47: }
{ 48: }
{ 49: }
{ 50: }
  11,
{ 51: }
{ 52: }
  1,
{ 53: }
  5,
{ 54: }
{ 55: }
{ 56: }
{ 57: }
{ 58: }
  3,
{ 59: }
{ 60: }
{ 61: }
  12,
{ 62: }
  2,
{ 63: }
  6,
{ 64: }
  4,
{ 65: }
{ 66: }
  7,
{ 67: }
{ 68: }
  8,
{ 69: }
{ 70: }
  10
);

yyt : array [1..yyntrans] of YYTrec = (
{ 0: }
  ( cc: [ #1..#8,#11..#31,'!','#'..'/',':',';','='..'@',
            '['..'`','{'..#255 ]; s: 8),
  ( cc: [ #9 ]; s: 7),
  ( cc: [ #10 ]; s: 6),
  ( cc: [ ' ' ]; s: 4),
  ( cc: [ '"' ]; s: 5),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 3),
  ( cc: [ '<' ]; s: 2),
{ 1: }
  ( cc: [ #1..#8,#11..#31,'!','#'..'/',':',';','='..'@',
            '['..'`','{'..#255 ]; s: 8),
  ( cc: [ #9 ]; s: 7),
  ( cc: [ #10 ]; s: 6),
  ( cc: [ ' ' ]; s: 4),
  ( cc: [ '"' ]; s: 5),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 3),
  ( cc: [ '<' ]; s: 2),
{ 2: }
  ( cc: [ '/' ]; s: 10),
  ( cc: [ 'a' ]; s: 13),
  ( cc: [ 'b' ]; s: 11),
  ( cc: [ 'h' ]; s: 9),
  ( cc: [ 't' ]; s: 12),
{ 3: }
  ( cc: [ ' ' ]; s: 15),
  ( cc: [ '.' ]; s: 16),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 14),
{ 4: }
  ( cc: [ #9,#10 ]; s: 18),
  ( cc: [ ' ' ]; s: 17),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 15),
{ 5: }
  ( cc: [ '>' ]; s: 19),
{ 6: }
  ( cc: [ #9,#10,' ' ]; s: 18),
{ 7: }
  ( cc: [ #9,#10,' ' ]; s: 18),
{ 8: }
{ 9: }
  ( cc: [ 'e' ]; s: 21),
  ( cc: [ 't' ]; s: 20),
{ 10: }
  ( cc: [ 'b' ]; s: 23),
  ( cc: [ 'h' ]; s: 22),
  ( cc: [ 't' ]; s: 24),
{ 11: }
  ( cc: [ 'o' ]; s: 25),
{ 12: }
  ( cc: [ 'i' ]; s: 26),
{ 13: }
  ( cc: [ ' ' ]; s: 27),
{ 14: }
  ( cc: [ ' ' ]; s: 15),
  ( cc: [ '.' ]; s: 16),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 14),
{ 15: }
  ( cc: [ ' ','0'..'9','A'..'Z','a'..'z' ]; s: 15),
{ 16: }
  ( cc: [ 'h' ]; s: 28),
{ 17: }
  ( cc: [ #9,#10 ]; s: 18),
  ( cc: [ ' ' ]; s: 17),
  ( cc: [ '0'..'9','A'..'Z','a'..'z' ]; s: 15),
{ 18: }
  ( cc: [ #9,#10,' ' ]; s: 18),
{ 19: }
  ( cc: [ ' ','0'..'9','A'..'Z','a'..'z' ]; s: 19),
  ( cc: [ '<' ]; s: 29),
{ 20: }
  ( cc: [ 'm' ]; s: 30),
{ 21: }
  ( cc: [ 'a' ]; s: 31),
{ 22: }
  ( cc: [ 'e' ]; s: 33),
  ( cc: [ 't' ]; s: 32),
{ 23: }
  ( cc: [ 'o' ]; s: 34),
{ 24: }
  ( cc: [ 'i' ]; s: 35),
{ 25: }
  ( cc: [ 'd' ]; s: 36),
{ 26: }
  ( cc: [ 't' ]; s: 37),
{ 27: }
  ( cc: [ 'h' ]; s: 38),
{ 28: }
  ( cc: [ 't' ]; s: 39),
{ 29: }
  ( cc: [ '/' ]; s: 40),
{ 30: }
  ( cc: [ 'l' ]; s: 41),
{ 31: }
  ( cc: [ 'd' ]; s: 42),
{ 32: }
  ( cc: [ 'm' ]; s: 43),
{ 33: }
  ( cc: [ 'a' ]; s: 44),
{ 34: }
  ( cc: [ 'd' ]; s: 45),
{ 35: }
  ( cc: [ 't' ]; s: 46),
{ 36: }
  ( cc: [ 'y' ]; s: 47),
{ 37: }
  ( cc: [ 'l' ]; s: 48),
{ 38: }
  ( cc: [ 'r' ]; s: 49),
{ 39: }
  ( cc: [ 'm' ]; s: 50),
{ 40: }
  ( cc: [ 'a' ]; s: 51),
{ 41: }
  ( cc: [ '>' ]; s: 52),
{ 42: }
  ( cc: [ '>' ]; s: 53),
{ 43: }
  ( cc: [ 'l' ]; s: 54),
{ 44: }
  ( cc: [ 'd' ]; s: 55),
{ 45: }
  ( cc: [ 'y' ]; s: 56),
{ 46: }
  ( cc: [ 'l' ]; s: 57),
{ 47: }
  ( cc: [ '>' ]; s: 58),
{ 48: }
  ( cc: [ 'e' ]; s: 59),
{ 49: }
  ( cc: [ 'e' ]; s: 60),
{ 50: }
{ 51: }
  ( cc: [ '>' ]; s: 61),
{ 52: }
{ 53: }
{ 54: }
  ( cc: [ '>' ]; s: 62),
{ 55: }
  ( cc: [ '>' ]; s: 63),
{ 56: }
  ( cc: [ '>' ]; s: 64),
{ 57: }
  ( cc: [ 'e' ]; s: 65),
{ 58: }
{ 59: }
  ( cc: [ '>' ]; s: 66),
{ 60: }
  ( cc: [ 'f' ]; s: 67),
{ 61: }
{ 62: }
{ 63: }
{ 64: }
{ 65: }
  ( cc: [ '>' ]; s: 68),
{ 66: }
{ 67: }
  ( cc: [ '=' ]; s: 69),
{ 68: }
{ 69: }
  ( cc: [ '"' ]; s: 70)
{ 70: }
);

yykl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 4,
{ 4: } 6,
{ 5: } 10,
{ 6: } 11,
{ 7: } 13,
{ 8: } 16,
{ 9: } 17,
{ 10: } 17,
{ 11: } 17,
{ 12: } 17,
{ 13: } 17,
{ 14: } 17,
{ 15: } 18,
{ 16: } 19,
{ 17: } 19,
{ 18: } 21,
{ 19: } 22,
{ 20: } 22,
{ 21: } 22,
{ 22: } 22,
{ 23: } 22,
{ 24: } 22,
{ 25: } 22,
{ 26: } 22,
{ 27: } 22,
{ 28: } 22,
{ 29: } 22,
{ 30: } 22,
{ 31: } 22,
{ 32: } 22,
{ 33: } 22,
{ 34: } 22,
{ 35: } 22,
{ 36: } 22,
{ 37: } 22,
{ 38: } 22,
{ 39: } 22,
{ 40: } 22,
{ 41: } 22,
{ 42: } 22,
{ 43: } 22,
{ 44: } 22,
{ 45: } 22,
{ 46: } 22,
{ 47: } 22,
{ 48: } 22,
{ 49: } 22,
{ 50: } 22,
{ 51: } 23,
{ 52: } 23,
{ 53: } 24,
{ 54: } 25,
{ 55: } 25,
{ 56: } 25,
{ 57: } 25,
{ 58: } 25,
{ 59: } 26,
{ 60: } 26,
{ 61: } 26,
{ 62: } 27,
{ 63: } 28,
{ 64: } 29,
{ 65: } 30,
{ 66: } 30,
{ 67: } 31,
{ 68: } 31,
{ 69: } 32,
{ 70: } 32
);

yykh : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 5,
{ 4: } 9,
{ 5: } 10,
{ 6: } 12,
{ 7: } 15,
{ 8: } 16,
{ 9: } 16,
{ 10: } 16,
{ 11: } 16,
{ 12: } 16,
{ 13: } 16,
{ 14: } 17,
{ 15: } 18,
{ 16: } 18,
{ 17: } 20,
{ 18: } 21,
{ 19: } 21,
{ 20: } 21,
{ 21: } 21,
{ 22: } 21,
{ 23: } 21,
{ 24: } 21,
{ 25: } 21,
{ 26: } 21,
{ 27: } 21,
{ 28: } 21,
{ 29: } 21,
{ 30: } 21,
{ 31: } 21,
{ 32: } 21,
{ 33: } 21,
{ 34: } 21,
{ 35: } 21,
{ 36: } 21,
{ 37: } 21,
{ 38: } 21,
{ 39: } 21,
{ 40: } 21,
{ 41: } 21,
{ 42: } 21,
{ 43: } 21,
{ 44: } 21,
{ 45: } 21,
{ 46: } 21,
{ 47: } 21,
{ 48: } 21,
{ 49: } 21,
{ 50: } 22,
{ 51: } 22,
{ 52: } 23,
{ 53: } 24,
{ 54: } 24,
{ 55: } 24,
{ 56: } 24,
{ 57: } 24,
{ 58: } 25,
{ 59: } 25,
{ 60: } 25,
{ 61: } 26,
{ 62: } 27,
{ 63: } 28,
{ 64: } 29,
{ 65: } 29,
{ 66: } 30,
{ 67: } 30,
{ 68: } 31,
{ 69: } 31,
{ 70: } 32
);

yyml : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 4,
{ 4: } 6,
{ 5: } 10,
{ 6: } 11,
{ 7: } 13,
{ 8: } 16,
{ 9: } 17,
{ 10: } 17,
{ 11: } 17,
{ 12: } 17,
{ 13: } 17,
{ 14: } 17,
{ 15: } 18,
{ 16: } 19,
{ 17: } 19,
{ 18: } 21,
{ 19: } 22,
{ 20: } 22,
{ 21: } 22,
{ 22: } 22,
{ 23: } 22,
{ 24: } 22,
{ 25: } 22,
{ 26: } 22,
{ 27: } 22,
{ 28: } 22,
{ 29: } 22,
{ 30: } 22,
{ 31: } 22,
{ 32: } 22,
{ 33: } 22,
{ 34: } 22,
{ 35: } 22,
{ 36: } 22,
{ 37: } 22,
{ 38: } 22,
{ 39: } 22,
{ 40: } 22,
{ 41: } 22,
{ 42: } 22,
{ 43: } 22,
{ 44: } 22,
{ 45: } 22,
{ 46: } 22,
{ 47: } 22,
{ 48: } 22,
{ 49: } 22,
{ 50: } 22,
{ 51: } 23,
{ 52: } 23,
{ 53: } 24,
{ 54: } 25,
{ 55: } 25,
{ 56: } 25,
{ 57: } 25,
{ 58: } 25,
{ 59: } 26,
{ 60: } 26,
{ 61: } 26,
{ 62: } 27,
{ 63: } 28,
{ 64: } 29,
{ 65: } 30,
{ 66: } 30,
{ 67: } 31,
{ 68: } 31,
{ 69: } 32,
{ 70: } 32
);

yymh : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 5,
{ 4: } 9,
{ 5: } 10,
{ 6: } 12,
{ 7: } 15,
{ 8: } 16,
{ 9: } 16,
{ 10: } 16,
{ 11: } 16,
{ 12: } 16,
{ 13: } 16,
{ 14: } 17,
{ 15: } 18,
{ 16: } 18,
{ 17: } 20,
{ 18: } 21,
{ 19: } 21,
{ 20: } 21,
{ 21: } 21,
{ 22: } 21,
{ 23: } 21,
{ 24: } 21,
{ 25: } 21,
{ 26: } 21,
{ 27: } 21,
{ 28: } 21,
{ 29: } 21,
{ 30: } 21,
{ 31: } 21,
{ 32: } 21,
{ 33: } 21,
{ 34: } 21,
{ 35: } 21,
{ 36: } 21,
{ 37: } 21,
{ 38: } 21,
{ 39: } 21,
{ 40: } 21,
{ 41: } 21,
{ 42: } 21,
{ 43: } 21,
{ 44: } 21,
{ 45: } 21,
{ 46: } 21,
{ 47: } 21,
{ 48: } 21,
{ 49: } 21,
{ 50: } 22,
{ 51: } 22,
{ 52: } 23,
{ 53: } 24,
{ 54: } 24,
{ 55: } 24,
{ 56: } 24,
{ 57: } 24,
{ 58: } 25,
{ 59: } 25,
{ 60: } 25,
{ 61: } 26,
{ 62: } 27,
{ 63: } 28,
{ 64: } 29,
{ 65: } 29,
{ 66: } 30,
{ 67: } 30,
{ 68: } 31,
{ 69: } 31,
{ 70: } 32
);

yytl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 8,
{ 2: } 15,
{ 3: } 20,
{ 4: } 23,
{ 5: } 26,
{ 6: } 27,
{ 7: } 28,
{ 8: } 29,
{ 9: } 29,
{ 10: } 31,
{ 11: } 34,
{ 12: } 35,
{ 13: } 36,
{ 14: } 37,
{ 15: } 40,
{ 16: } 41,
{ 17: } 42,
{ 18: } 45,
{ 19: } 46,
{ 20: } 48,
{ 21: } 49,
{ 22: } 50,
{ 23: } 52,
{ 24: } 53,
{ 25: } 54,
{ 26: } 55,
{ 27: } 56,
{ 28: } 57,
{ 29: } 58,
{ 30: } 59,
{ 31: } 60,
{ 32: } 61,
{ 33: } 62,
{ 34: } 63,
{ 35: } 64,
{ 36: } 65,
{ 37: } 66,
{ 38: } 67,
{ 39: } 68,
{ 40: } 69,
{ 41: } 70,
{ 42: } 71,
{ 43: } 72,
{ 44: } 73,
{ 45: } 74,
{ 46: } 75,
{ 47: } 76,
{ 48: } 77,
{ 49: } 78,
{ 50: } 79,
{ 51: } 79,
{ 52: } 80,
{ 53: } 80,
{ 54: } 80,
{ 55: } 81,
{ 56: } 82,
{ 57: } 83,
{ 58: } 84,
{ 59: } 84,
{ 60: } 85,
{ 61: } 86,
{ 62: } 86,
{ 63: } 86,
{ 64: } 86,
{ 65: } 86,
{ 66: } 87,
{ 67: } 87,
{ 68: } 88,
{ 69: } 88,
{ 70: } 89
);

yyth : array [0..yynstates-1] of Integer = (
{ 0: } 7,
{ 1: } 14,
{ 2: } 19,
{ 3: } 22,
{ 4: } 25,
{ 5: } 26,
{ 6: } 27,
{ 7: } 28,
{ 8: } 28,
{ 9: } 30,
{ 10: } 33,
{ 11: } 34,
{ 12: } 35,
{ 13: } 36,
{ 14: } 39,
{ 15: } 40,
{ 16: } 41,
{ 17: } 44,
{ 18: } 45,
{ 19: } 47,
{ 20: } 48,
{ 21: } 49,
{ 22: } 51,
{ 23: } 52,
{ 24: } 53,
{ 25: } 54,
{ 26: } 55,
{ 27: } 56,
{ 28: } 57,
{ 29: } 58,
{ 30: } 59,
{ 31: } 60,
{ 32: } 61,
{ 33: } 62,
{ 34: } 63,
{ 35: } 64,
{ 36: } 65,
{ 37: } 66,
{ 38: } 67,
{ 39: } 68,
{ 40: } 69,
{ 41: } 70,
{ 42: } 71,
{ 43: } 72,
{ 44: } 73,
{ 45: } 74,
{ 46: } 75,
{ 47: } 76,
{ 48: } 77,
{ 49: } 78,
{ 50: } 78,
{ 51: } 79,
{ 52: } 79,
{ 53: } 79,
{ 54: } 80,
{ 55: } 81,
{ 56: } 82,
{ 57: } 83,
{ 58: } 83,
{ 59: } 84,
{ 60: } 85,
{ 61: } 85,
{ 62: } 85,
{ 63: } 85,
{ 64: } 85,
{ 65: } 86,
{ 66: } 86,
{ 67: } 87,
{ 68: } 87,
{ 69: } 88,
{ 70: } 88
);


var yyn : Integer;

label start, scan, action;

begin

start:

  (* initialize: *)

  yynew;

scan:

  (* mark positions and matches: *)

  for yyn := yykl[yystate] to     yykh[yystate] do yymark(yyk[yyn]);
  for yyn := yymh[yystate] downto yyml[yystate] do yymatch(yym[yyn]);

  if yytl[yystate]>yyth[yystate] then goto action; (* dead state *)

  (* get next character: *)

  yyscan;

  (* determine action: *)

  yyn := yytl[yystate];
  while (yyn<=yyth[yystate]) and not (yyactchar in yyt[yyn].cc) do inc(yyn);
  if yyn>yyth[yystate] then goto action;
    (* no transition on yyactchar in this state *)

  (* switch to new state: *)

  yystate := yyt[yyn].s;

  goto scan;

action:

  (* execute action: *)

  if yyfind(yyrule) then
    begin
      yyaction(yyrule);
      if yyreject then goto action;
    end
  else if not yydefault and yywrap then
    begin
      yyclear;
      return(0);
    end;

  if not yydone then goto start;

  yylex := yyretval;

end(*yylex*);




